4
7
2011
9

带补丁gvim 7.3 Arch软件包下载

本文来自依云's Blog,转载请注明。

准备向 Arch 迁移了,于是编译了个GVIM。之所以要自己编译,当然是要打非官方补丁了。

主要的 bug 修正为:

其中第三条只在 Arch 上出现,据说是某个库的 bug。后来折腾了段时间,发现如果 gvim 不 fork,或者 fork 后父进程生存的时间长一点点,就不会错误地出现这个提示(但是真正使用超级用户权限时也没有这个提示,不知道是否属正常情况)。


2011年7月14日更新:最新版下载地址

Category: Vim | Tags: arch C代码 linux vim | Read Count: 8581
GunsNRose 说:
Apr 07, 2011 11:00:41 PM

可以提交PKGBUILD到AUR上呀
现在一般只用到vim 很少用到gvim了

Avatar_small
依云 说:
Apr 08, 2011 03:15:41 PM

还不会呢,准备换到 Arch 后再慢慢研究。不过现在我的 Arch 非常杯具……

danny 说:
Jul 01, 2011 01:31:35 AM

用了你给的包,但是有时(我用differ打开两个文件的时候)依然是出现那个标题,真杯具。

danny 说:
Jul 01, 2011 01:36:16 AM

另外,标题的问题,在ob和E17不曾出现过。我现在用gnome就出现了,何解

Avatar_small
依云 说:
Jul 01, 2011 11:41:01 AM

gnome 又不是窗口管理器。metacity 或者 mutter 吧。可能我放的那个延时不够。没有 gnome 环境,我就不折腾了。

kaji331 说:
Apr 13, 2012 11:32:49 AM

突然想到一件事,就是关于你的vim python3补丁的,发现你在ubuntu论坛说是把py改成了py3这种简单方式修改的。我突然发现我的10.04中python3.0和python3.1是可以分开安装的。安装python3就是3.0,安装python3.1就是3.1,是没有python3的,命令行中只有python3.1这个东西,因此会不会在我这样的环境下出问题呢~

kaji331 说:
Apr 13, 2012 11:34:41 AM

事实上我发现很多使用python3的脚本在我这里都有问题,不能直接使用,需要吧行首的#!/bin/python3改成#!/bin/python3.1就可以了

Avatar_small
依云 说:
Apr 13, 2012 02:40:31 PM

什么「把py改成了py3这种简单方式修改的」啊,很多地方都重写了的。
我编译的那个版本只会调用对应版本的 Python so 文件,而我用的 Python 3.2,所以你的 vim 应该不支持 Python 3 接口。试试 :echo has('python3')

kaji331 说:
Apr 16, 2012 03:26:13 PM

哦,我看你在ubuntu论坛这么说的


登录 *


loading captcha image...
(输入验证码)
or Ctrl+Enter

部分静态文件存储由又拍云存储提供。 | Theme: Aeros 2.0 by TheBuckmaker.com